jQuery(document).ready(function($){

	$(".upload-button").click(function(e){
		var stopper = false;
		e.preventDefault();
		var uploadButton = $(this);
		var form = $("#" + $(uploadButton).data("parent"));
		var fileInput = $(form).find(".upload-file");
		var msg = $(form).find(".msg");
		$(fileInput).click();
		$(fileInput).change(function(){
			if(!stopper) {
				$(uploadButton).html("Uploading...");
				$(msg).css("display", "none");
				var formData = new FormData(form[0]);
				$.ajax({
				    type: 'POST',
				    url: 'contents/plugins/external_examination/ajax.php',
				    data: formData,
		    		processData: false,
		    		contentType: false,
				    success: function(data) {
				    	data = JSON.parse(data);
				    	$(msg).find("em").html(data.msg);
				    	$(msg).css("display", "");
				    	stopper = true;
				    	if(data.error == 1) {
				    		$(msg).removeClass("green");
				    		$(msg).addClass("red");
				    		$(form).find(".viewlink").css("display", "none");
				    		$(form).find(".delete").css("display", "none");
				    		$(uploadButton).html("Upload Result");
							$(form).find(".viewlink").attr("href", "#");
				    	} else if(data.error == 0) {
				    		$(msg).removeClass("red");
				    		$(msg).addClass("green");
				    		$(uploadButton).html("Upload");
				    		$(form).find(".viewlink").css("display", "");
				    		$(form).find(".delete").css("display", "");
				    		$(form).find(".viewlink").attr("href", data.file);
				    	}						
				    },
				    error: function(xhr, status, error) {
				    	$(msg).find("em").html("Error in network connection");
				    	$(msg).css("display", "");
				    	$(msg).removeClass("green");
			    		$(msg).addClass("red");
			    		$(form).find(".delete").css("display", "none");
			    		$(form).find(".viewlink").css("display", "none");
			    		$(uploadButton).html("Upload Result");
						$(form).find(".viewlink").attr("href", "#");
				    }
				});
			}
			
		})
	});

	$(".delete").click(function(e){
		e.preventDefault();
		var deleteButton = $(this);
		var form = $("#" + $(deleteButton).data("parent"));
		var msg = $(form).find(".msg");
		var studentid = $(this).data("studentid");
		var exam = $(this).data("exam");
		$.ajax({
		    type: 'POST',
		    url: 'contents/plugins/external_examination/ajax.php',
		    data: {action: 'delete_external_exam', studentid: studentid, exam: exam},
		    success: function(data) {
		    	data = JSON.parse(data);
		    	$(msg).find("em").html(data.msg);
		    	$(msg).css("display", "");
		    	if(data.error == 0) {
		    		$(msg).addClass("green");
		    		$(msg).removeClass("red");
		    		$(form).find(".viewlink").css("display", "none");
		    		$(deleteButton).css("display", "none");
		    		$(form).find(".upload-button").html("Upload Result");
					$(form).find(".viewlink").attr("href", "#");
		    	} else if(data.error == 1) {
		    		$(msg).addClass("red");
		    		$(msg).removeClass("green");
		    	}						
		    },
		    error: function(xhr, status, error) {
		    	$(msg).find("em").html("Error in network connection");
		    	$(msg).css("display", "");
		    	$(msg).removeClass("green");
	    		$(msg).addClass("red");
		    }
		});
		
	});
})